// Copyright (C) 2024 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

import 'package:wyatt_continuous_deployment/src/core/commands/deploy_app/commands/deploy_ios/deploy_ios_task.dart';
import 'package:wyatt_continuous_deployment/src/core/commands/task_command.dart';

class DeployIosCommand extends TaskCommand {
  DeployIosCommand() : super(task: DeployIosTask());

  @override
  String get description => 'Deploy the ios app on the AppStore connect';

  @override
  String get name => 'ios';

  @override
  List<String> get aliases => ['i', 'appstore'];
}
