// Copyright (C) 2024 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

import 'dart:io';

import 'package:wyatt_continuous_deployment/src/core/enums/flag.dart';

class Context {
  const Context({
    required this.currentDirectory,
    required this.configFile,
    required this.flags,
    this.environment = const {},
  });

  final Directory currentDirectory;
  final File configFile;
  final List<Flag> flags;
  final Map<String, String> environment;
}
